Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.params
Class ElGamalPrivateKeyParameters

    java.lang.Object
      org.bouncycastle.crypto.params.AsymmetricKeyParameter
          org.bouncycastle.crypto.params.ElGamalKeyParameters
              org.bouncycastle.crypto.params.ElGamalPrivateKeyParameters

All Implemented Interfaces:
  CipherParameters

    public class ElGamalPrivateKeyParameters

extends ElGamalKeyParameters

Constructor Summary
`ElGamalPrivateKeyParameters(java.math.BigInteger x, ElGamalParameters params)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.math.BigInteger` | `getX()`
`int` | `hashCode()`

Methods inherited from class org.bouncycastle.crypto.params.ElGamalKeyParameters
`getParameters`

Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter
`isPrivate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElGamalPrivateKeyParameters

    public ElGamalPrivateKeyParameters(java.math.BigInteger x,
                                       ElGamalParameters params)

Method Detail

### getX

    public java.math.BigInteger getX()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `ElGamalKeyParameters`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `ElGamalKeyParameters`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD